Subject: bug#68059: closed (Re: bug#68059: Mismatching defconfig options)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Jan 2024 10:19:02 +0000

Your bug report

#68059: Mismatching defconfig options

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68059: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68059
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68059: Mismatching defconfig options
From: Josselin Poiret <[email-masked]>
To: Lars Rustand <[email-masked]>, [email-masked]
Date: Fri, 12 Jan 2024 11:17:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Lars,

Lars Rustand <[email-masked]> writes:

> This issue can be closed.

You can close issues by replying to [email-masked] instead of
XXXX@, as I'm doing here.

Best,
-- 
Josselin Poiret

Subject: Mismatching defconfig options
From: Lars Rustand <[email-masked]>
To: [email-masked]
Date: Wed, 27 Dec 2023 09:35:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm having trouble building a custom kernel with an included
defconfig. The kernel builds correctly with the included defconfig if I
do it manually, but when I try to build it through Guix I get an error
about Mismatching configurations in .config and
arch/arm64/configs/guix_defconfig.

Since it builds correctly manually I am sure that the defconfig does in
fact work, and it does not have any mismatching configuration. So it
must be something that Guix adds/changes in the defconfig that makes it
stop working. How can I prevent Guix from modifying the defconfig that I
tell it to use?

Here is the relevant part of my package definition:

--8<---------------cut here---------------start------------->8---
(let ((linux-package
       (customize-linux
        #:name name
        #:linux linux
        #:defconfig
        "pinephone_pro_defconfig"
        #:extra-version "arm64-pinephone-pro"
        #:source (origin (method url-fetch)
                         (uri (linux-pinephone-urls version))
                         (sha256 (base32 hash)))))))
--8<---------------cut here---------------end--------------->8---